<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RVoiceMailPilot StructType
 * @subpackage Structs
 */
class RVoiceMailPilot extends AbstractStructBase
{
    /**
     * The dirn
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dirn;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The cssName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $cssName;
    /**
     * The isDefault
     * Meta information extracted from the WSDL
     * - documentation: In Update setting isDefault tag as false would not disable this VoiceMailPilot as Default. Instead, the corresponding tag of another VoiceMailPilot should be set to true.
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isDefault;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RVoiceMailPilot
     * @uses RVoiceMailPilot::setDirn()
     * @uses RVoiceMailPilot::setDescription()
     * @uses RVoiceMailPilot::setCssName()
     * @uses RVoiceMailPilot::setIsDefault()
     * @uses RVoiceMailPilot::setUuid()
     * @param string $dirn
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $cssName
     * @param string $isDefault
     * @param string $uuid
     */
    public function __construct($dirn = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $cssName = null, $isDefault = null, $uuid = null)
    {
        $this
            ->setDirn($dirn)
            ->setDescription($description)
            ->setCssName($cssName)
            ->setIsDefault($isDefault)
            ->setUuid($uuid);
    }
    /**
     * Get dirn value
     * @return string|null
     */
    public function getDirn()
    {
        return $this->dirn;
    }
    /**
     * Set dirn value
     * @param string $dirn
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVoiceMailPilot
     */
    public function setDirn($dirn = null)
    {
        $this->dirn = $dirn;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVoiceMailPilot
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get cssName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getCssName()
    {
        return $this->cssName;
    }
    /**
     * Set cssName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $cssName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVoiceMailPilot
     */
    public function setCssName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $cssName = null)
    {
        $this->cssName = $cssName;
        return $this;
    }
    /**
     * Get isDefault value
     * @return string|null
     */
    public function getIsDefault()
    {
        return $this->isDefault;
    }
    /**
     * Set isDefault value
     * @param string $isDefault
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVoiceMailPilot
     */
    public function setIsDefault($isDefault = null)
    {
        $this->isDefault = $isDefault;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVoiceMailPilot
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
